package com.cultural.heritage.model.dto.cart;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class CartRecordAddRequest implements Serializable {

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 商品id
     */
    private Long goodId;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 小计
     */
    private Double subtotal;



    @Serial
    private static final long serialVersionUID = 1L;
}
