package com.cultural.heritage.model.dto.address;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class AddressUpdateRequest implements Serializable {

    /**
     * id
     */
    private Long id;

    /**
     * 联系人
     */
    private String name;


    /**
     * 手机号
     */
    private String phone;


    /**
     * 地区
     */
    private String region;


    /**
     * 详细地址
     */
    private String detailAddress;


    /**
     * 用户id
     */
    private Long userId;

    /**
     * 是否为默认地址
     */
    private Integer isDefault;


    @Serial
    private static final long serialVersionUID = 1L;
}
