package com.cultural.heritage.model.dto.good;

import com.baomidou.mybatisplus.annotation.TableField;
import com.cultural.heritage.common.PageRequest;
import lombok.Data;

import java.io.Serializable;

@Data
public class GoodQueryRequest extends PageRequest implements Serializable {

    /**
     * id
     */
    private Long id;

    /**
     * 商品名
     */
    private String name;

    /**
     * 商品类型
     */
    private String type;

    /**
     * 节日限定序号
     */
    private Integer festivalOrder;

    /**
     * 是否上架
     */
    private Integer isShelves;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}
